Bug 23047 - Exception notification dialog always scrolls to bottom of exception.
Exception notification dialog always scrolls to bottom of exception.
Status: CLOSED FIXED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
3.x
Sun Solaris
: P4 (vote)
: 6.x
Assigned To: _ ttran
ivan
: API, UI
Depends on: 25387
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-02 13:55 UTC by Marian Mirilovic
Modified: 2008-12-23 08:35 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2002-05-02 13:55:05 UTC
[nb_dev](20020502), [jdk1.4](fcs) |
5147

The notifications dialog in Shows Details mode
allways scrolls to the bottom of exception.
Comment 1 Jesse Glick 2002-05-06 16:51:44 UTC
Ales do you still work on term? If so, I guess you are the closest to
this code. I agree it is annoying; you normally want to see the top of
the exception, not the bottom.
Comment 2 akemr 2002-05-07 07:54:39 UTC
Yes, that's my part. I'll look at it.
Comment 3 _ ttran 2002-07-02 12:40:36 UTC
It looks like Term does not offer any API to scroll the text.
Comment 4 ivan 2002-07-02 19:25:30 UTC
Use Term.setScrollOnOutput() to be false.
Comment 5 _ ttran 2002-07-08 11:20:06 UTC
we must also call Term.setTrackCursor(false), but see issue 25387
Comment 6 _ ttran 2002-07-08 11:35:24 UTC
and it still not enough because Term also scrolls on COMPONENT_RESIZED
event using a faulty algorithm (I believe)!  I have to use
SwingUtilities.invokeLater() to print the stack trace into Term after
COMPONENT_RESIZED event has been handled.

Fixed in trunk
Comment 7 Marian Mirilovic 2002-07-09 09:37:59 UTC
verified in [nb_dev](20020709)
Comment 8 Quality Engineering 2003-07-01 16:13:54 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 9 Quality Engineering 2008-12-23 08:35:42 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo